static int listensck;
static void initsocket(int port)
{
     int on=1;
     int sinlen;
     struct sockaddr_in sin;
     struct pollfd poller[2];
     
     listensck = socket(PF_INET, SOCK_STREAM, 0);
     if(listensck == -1)
     {
	  printf("Error creating socket.\n");
	  exit(1);
     }
     
     sin.sin_family=AF_INET;
     sin.sin_port=htons(port);
     sin.sin_addr.s_addr=INADDR_ANY;
     setsockopt(listensck,SOL_SOCKET,SO_REUSEADDR,&on,sizeof(on));
     if(bind(listensck,(struct sockaddr *) &sin,sizeof(sin)))
     {
	  printf("Error binding socket.\n");
	  exit(1);
     }
     listen(listensck,128);
     sinlen=sizeof(&sin);
     
     listensck = accept(listensck,(struct sockaddr *) &sin,&sinlen);
}


static void sndsck(char *msg)
{
     write(listensck,msg,strlen(msg));
} 
