#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/poll.h>
#include <pwd.h>
#include <syslog.h>
#include <varargs.h>
#ifdef USE_SHADOW
#include <shadow.h>
#endif
#include "confload.h"
#include "socket.h"
#include "structint.h"
#include "passwd.h"
#include "interpret.h"
#define CONFFILE "/etc/syndrome.conf"
#define PORTNUM 5454
void usage(char *pname) {
printf("Usage: %s <config file> <port>\n",pname);
exit(1);
}
int main(int argc, char *argv[])
{
    fconfload(CONFFILE);
    initsocket(PORTNUM);
    verifylogin();
    bannerstruct();
    loadinterpreter(); 
    return 0;
}
